Global Fishing Watch API
ExamplesEvents

Get loitering events for a vessel (GET)

Example GET request for loitering events of a single vessel over a date range.

Query parameters

ParameterValueDescription
datasets[0]public-global-loitering-events:latestLoitering events dataset
vessels[0]8c7304226-6c71-edbe-0b63-c246734b3c01Vessel id to filter events for
limit1Max number of events returned
offset0Pagination offset

Request

# Make sure to replace [TOKEN] with your API Access Token.
curl --location --request GET 'https://gateway.api.globalfishingwatch.org/v3/events?datasets[0]=public-global-loitering-events:latest&vessels[0]=8c7304226-6c71-edbe-0b63-c246734b3c01&limit=1&offset=0' \
  -H "Authorization: Bearer [TOKEN]"

Response

{
  "metadata": {
    "datasets": ["public-global-loitering-events-carriers:v20201001"],
    "vessels": ["8c7304226-6c71-edbe-0b63-c246734b3c01"],
    "dateRange": {
      "from": null,
      "to": null
    }
  },
  "limit": 1,
  "offset": 0,
  "nextOffset": 1,
  "total": 113,
  "entries": [
    {
      "start": "2013-06-12T11:40:09.000Z",
      "end": "2013-06-12T12:01:09.000Z",
      "id": "9991a9e4b2ee7313c33f5263308d045c",
      "type": "loitering",
      "position": {
        "lat": 32.2075,
        "lon": -13.9346
      },
      "regions": {
        "mpa": [],
        "eez": ["8363"],
        "rfmo": ["ACAP", "NAMMCO", "ICCAT", "IWC"],
        "fao": ["34.1.2", "34", "34.1"],
        "majorFao": ["34"],
        "eez12Nm": [],
        "highSeas": [],
        "mpaNoTakePartial": [],
        "mpaNoTake": []
      },
      "boundingBox": [-13.9335216667, 32.2104016667, -13.9357016667, 32.20455],
      "distances": {
        "startDistanceFromShoreKm": 239,
        "endDistanceFromShoreKm": 239,
        "startDistanceFromPortKm": 242.068016,
        "endDistanceFromPortKm": 241.65545300000002
      },
      "vessel": {
        "id": "8c7304226-6c71-edbe-0b63-c246734b3c01",
        "name": "FRIO FORWIN",
        "ssvid": "210631000"
      },
      "loitering": {
        "totalTimeHours": 0.35,
        "totalDistanceKm": 0.6822365329451406,
        "averageSpeedKnots": 1.0525093072279246,
        "averageDistanceFromShoreKm": 239.00000000000003
      }
    }
  ]
}